/*
 *  Part of ase2rv source code,
 *  Copyright (C) 2000 Alexander Kroeller (alilein@gmx.de)
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */
#ifndef __MAIN_CONV_H
#define __MAIN_CONV_H

#include "asemesh.h"

struct AppOptions
{
  char ase_name[200];
  char vis_name[200]; // .w or .prm
  char im_name[200];  // .i-w or .i-p
  char ncp_name[200];
  WorkMode wmode;
  bool list_mode;

  char **include_nodes;
  bool *touched_node;
  int num_inc_nodes;
};

extern AppOptions appopt;


World *runapp(void);

void welcome(const char *appname);

bool parseArgs(int argc, char **argv,
	       const char *vis_suff, const char *im_suff, const char *ncp_suff);

void usage(const char *appname, const char *outputtype);

#endif
